summaryrefslogtreecommitdiff
path: root/.gitlab-ci
diff options
context:
space:
mode:
authorMichel Dänzer <michel.daenzer@amd.com>2019-05-03 10:49:43 +0200
committerMichel Dänzer <michel@daenzer.net>2019-05-08 16:59:02 +0000
commitcc2b3a99ccf035a084d768e5c5ffa81478d685c1 (patch)
tree16b01e728b782ba25bd2a68092565329c2c4f9db /.gitlab-ci
parentd0b9a7f0d72a37c7d8ba0452b922bd4621c7fa45 (diff)
downloadmesa-cc2b3a99ccf035a084d768e5c5ffa81478d685c1.tar.gz
gitlab-ci: Move meson job script to separate file
No functional change intended (except for no longer running meson --version separately, as the version appears early in meson's output anyway). Reviewed-by: Eric Engestrom <eric.engestrom@intel.com>
Diffstat (limited to '.gitlab-ci')
-rw-r--r--.gitlab-ci/meson-build.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/.gitlab-ci/meson-build.sh b/.gitlab-ci/meson-build.sh
new file mode 100644
index 00000000000..ac41eb872b9
--- /dev/null
+++ b/.gitlab-ci/meson-build.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+set -e
+set -o xtrace
+
+# We need to control the version of llvm-config we're using, so we'll
+# generate a native file to do so. This requires meson >=0.49
+if test -n "$LLVM_VERSION"; then
+ LLVM_CONFIG="llvm-config-${LLVM_VERSION}"
+ echo -e "[binaries]\nllvm-config = '`which $LLVM_CONFIG`'" > native.file
+ $LLVM_CONFIG --version
+else
+ touch native.file
+fi
+
+meson _build --native-file=native.file \
+ -D buildtype=debug \
+ -D build-tests=true \
+ -D libunwind=${UNWIND} \
+ ${DRI_LOADERS} \
+ -D dri-drivers=${DRI_DRIVERS:-[]} \
+ ${GALLIUM_ST} \
+ -D gallium-drivers=${GALLIUM_DRIVERS:-[]} \
+ -D vulkan-drivers=${VULKAN_DRIVERS:-[]} \
+ -D I-love-half-baked-turnips=true
+cd _build
+meson configure
+ninja -j4
+LC_ALL=C.UTF-8 ninja test